Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoCalculator Class Reference
[Engine classes]

General purpose calculator for floats and 3D float vectors. More...

`#include <Inventor/engines/SoCalculator.h>`

Inheritance diagram for SoCalculator:

List of all members.

## Public Methods
| SoCalculator (void)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoMFFloat | a
SoMFFloat | b
SoMFFloat | c
SoMFFloat | d
SoMFFloat | e
SoMFFloat | f
SoMFFloat | g
SoMFFloat | h
SoMFVec3f | A
SoMFVec3f | B
SoMFVec3f | C
SoMFVec3f | D
SoMFVec3f | E
SoMFVec3f | F
SoMFVec3f | G
SoMFVec3f | H
SoMFString | expression
SoEngineOutput | oa
SoEngineOutput | ob
SoEngineOutput | oc
SoEngineOutput | od
SoEngineOutput | oA
SoEngineOutput | oB
SoEngineOutput | oC
SoEngineOutput | oD
## Protected Methods
| ~SoCalculator (void)
virtual void | inputChanged (SoField *which)

## Detailed Description

General purpose calculator for floats and 3D float vectors.

The SoCalculator uses the values from the input fields (which are either single floating point values or vectors) as variables in the free-form engine expressions and places the results on the output fields.

FIXME: more class documentation! It's close to hopeless to use this class with this little doc (without looking in the sourcecode or at the Inventor Mentor). 20020925 mortene.

## Constructor & Destructor Documentation

SoCalculator::SoCalculator | ( | void |  | ) |

| Constructor.

SoCalculator::~SoCalculator | ( | void |  | ) | `[protected]`

| Destructor.

## Member Function Documentation

void SoCalculator::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

void SoCalculator::inputChanged | ( | SoField * | which | ) | `[protected, virtual]`

| Called when an input is changed. The default method does nothing, but subclasses may override this method to do the The Right Thing when a specific field is changed. Reimplemented from SoEngine.

## Member Data Documentation

SoMFFloat SoCalculator::a

| Input floating point value for the expressions.

SoMFFloat SoCalculator::b

| Input floating point value for the expressions.

SoMFFloat SoCalculator::c

| Input floating point value for the expressions.

SoMFFloat SoCalculator::d

| Input floating point value for the expressions.

SoMFFloat SoCalculator::e

| Input floating point value for the expressions.

SoMFFloat SoCalculator::f

| Input floating point value for the expressions.

SoMFFloat SoCalculator::g

| Input floating point value for the expressions.

SoMFFloat SoCalculator::h

| Input floating point value for the expressions.

SoMFVec3f SoCalculator::A

| Input vector with three floating point values for the expressions.

SoMFVec3f SoCalculator::B

| Input vector with three floating point values for the expressions.

SoMFVec3f SoCalculator::C

| Input vector with three floating point values for the expressions.

SoMFVec3f SoCalculator::D

| Input vector with three floating point values for the expressions.

SoMFVec3f SoCalculator::E

| Input vector with three floating point values for the expressions.

SoMFVec3f SoCalculator::F

| Input vector with three floating point values for the expressions.

SoMFVec3f SoCalculator::G

| Input vector with three floating point values for the expressions.

SoMFVec3f SoCalculator::H

| Input vector with three floating point values for the expressions.

SoMFString SoCalculator::expression

| Mathematical expressions for the calculator.

SoEngineOutput SoCalculator::oa

| (SoMFFloat) Output value with result from the calculations.

SoEngineOutput SoCalculator::ob

| (SoMFFloat) Output value with result from the calculations.

SoEngineOutput SoCalculator::oc

| (SoMFFloat) Output value with result from the calculations.

SoEngineOutput SoCalculator::od

| (SoMFFloat) Output value with result from the calculations.

SoEngineOutput SoCalculator::oA

| (SoMFVec3f) Output value with result from the calculations.

SoEngineOutput SoCalculator::oB

| (SoMFVec3f) Output value with result from the calculations.

SoEngineOutput SoCalculator::oC

| (SoMFVec3f) Output value with result from the calculations.

SoEngineOutput SoCalculator::oD

| (SoMFVec3f) Output value with result from the calculations.

The documentation for this class was generated from the following files:

- SoCalculator.h
- SoCalculator.cpp